Remove go-bindata

This commit is contained in:
Manuel de Brito Fontes 2018-05-17 00:18:03 -04:00 committed by Manuel Alejandro de Brito Fontes
parent ee7a63d050
commit 692ab5e53c
No known key found for this signature in database
GPG key ID: 786136016A8BA02A
7 changed files with 62 additions and 649 deletions

View file

@ -1,40 +0,0 @@
#!/bin/bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
TMP_DIR="_tmp"
cleanup() {
rm -rf "${TMP_DIR}"
}
trap "cleanup" EXIT SIGINT
cleanup
go-bindata -nometadata -o ${TMP_DIR}/bindata.go -prefix="rootfs" -pkg=file -ignore=Dockerfile -ignore=".DS_Store" rootfs/...
ret=0
diff -Naupr "${TMP_DIR}/bindata.go" "internal/file/bindata.go" || ret=$?
if [[ ${ret} -eq 0 ]]
then
echo "bindata.go up to date."
else
echo "bindata.go is out of date. Please run make code-generator and NOT gofmt internal/file/bindata.go"
exit 1
fi